Retrieve the url of a sync for a specific consumer
curl --request POST \
--url https://api.chift.eu/consumers/{consumer_id}/syncs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"syncid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"integrationids": [],
"country": "<string>",
"link_metadata": {}
}
'import requests
url = "https://api.chift.eu/consumers/{consumer_id}/syncs"
payload = {
"syncid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"integrationids": [],
"country": "<string>",
"link_metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
syncid: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
integrationids: [],
country: '<string>',
link_metadata: {}
})
};
fetch('https://api.chift.eu/consumers/{consumer_id}/syncs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"url": "<string>"
}Syncs
Retrieve the url of a sync for a specific consumer
This route can be used to retrieve the url that can be shared with your clients to allow them to connect as specified in a sync
POST
/
consumers
/
{consumer_id}
/
syncs
Retrieve the url of a sync for a specific consumer
Authorizations
This access token needs to be included in each of your request to the Chift API.
Path Parameters
Body
application/json
[OPTIONAL] Can be used to specify maximum one integrationid for each One API that you want to highlight. If specified, only this connector will be displayed to your clients.
ISO 3166-1 alpha-2 country code to filter connectors by country. Ignored if integrationids are provided.
Response
Successful Response
⌘I